Bug 1128718 - lxc: build fails on s390(x) and ppc due to seccomp dependency
Summary: lxc: build fails on s390(x) and ppc due to seccomp dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxc
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 12:03 UTC by Jakub Čajka
Modified: 2014-09-02 06:46 UTC (History)
4 users (show)

Fixed In Version: lxc-1.0.5-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 03:54:43 UTC


Attachments (Terms of Use)
Proposed solution (1.23 KB, patch)
2014-08-11 12:03 UTC, Jakub Čajka
no flags Details | Diff
Nicer patch (1.22 KB, patch)
2014-08-13 07:35 UTC, Jakub Čajka
no flags Details | Diff

Description Jakub Čajka 2014-08-11 12:03:14 UTC
Created attachment 925711 [details]
Proposed solution

Build fails as seccomp is build dependency. Removing it enables build to finish successfully. In attachment is patch fixing build dependency.

Failing builds:
http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=261426
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=255327

Successful scratch builds:
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1485698
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1984497
http://koji.fedoraproject.org/koji/taskinfo?taskID=7272335

Comment 1 Jakub Čajka 2014-08-13 07:35:14 UTC
Created attachment 926293 [details]
Nicer patch

Comment 2 Dan Horák 2014-08-13 08:03:40 UTC
libseccomp is ExclusiveArch: %{ix86} x86_64 %{arm}

Comment 3 Fedora Update System 2014-08-13 23:43:42 UTC
lxc-1.0.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2167/lxc-1.0.5-3.el6

Comment 4 Fedora Update System 2014-08-13 23:44:19 UTC
lxc-1.0.5-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-9293/lxc-1.0.5-3.fc19

Comment 5 Fedora Update System 2014-08-13 23:44:43 UTC
lxc-1.0.5-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-9298/lxc-1.0.5-3.fc20

Comment 6 Fedora Update System 2014-08-15 18:59:04 UTC
Package lxc-1.0.5-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lxc-1.0.5-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2167/lxc-1.0.5-3.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-02 03:54:43 UTC
lxc-1.0.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-02 06:40:22 UTC
lxc-1.0.5-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-02 06:46:41 UTC
lxc-1.0.5-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.